LogicalFile (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.LogicalFile interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface LogicalFile

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface LogicalFile

extends LogicalElement

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getChecksum()`
`ComputerSystem` | `getComputerSystem()`
`java.lang.String` | `getContent()`
`long` | `getLastModified()`
`OperatingSystem` | `getOs()`
`java.lang.String` | `getRealFile()`
`boolean` | `hasChecksum()`
`boolean` | `hasComputerSystem()`
`boolean` | `hasContent()`
`boolean` | `hasLastModified()`
`boolean` | `hasOs()`
`boolean` | `hasRealFile()`
`void` | `setChecksum(java.lang.String s)`
`void` | `setComputerSystem(ComputerSystem cs)`
`void` | `setContent(java.lang.String s)`
`void` | `setLastModified(long timestamp)`
`void` | `setOs(OperatingSystem os)`
`void` | `setRealFile(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getComputerSystem

    ComputerSystem getComputerSystem()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setComputerSystem

    void setComputerSystem(ComputerSystem cs)

### hasComputerSystem

    boolean hasComputerSystem()

### getOs

    OperatingSystem getOs()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ResidesOn" reverse="false"

### setOs

    void setOs(OperatingSystem os)

### hasOs

    boolean hasOs()

### getRealFile

    java.lang.String getRealFile()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRealFile

    void setRealFile(java.lang.String s)

### hasRealFile

    boolean hasRealFile()

### getContent

    java.lang.String getContent()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setContent

    void setContent(java.lang.String s)

### hasContent

    boolean hasContent()

### getLastModified

    long getLastModified()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setLastModified

    void setLastModified(long timestamp)

### hasLastModified

    boolean hasLastModified()

### getChecksum

    java.lang.String getChecksum()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setChecksum

    void setChecksum(java.lang.String s)

### hasChecksum

    boolean hasChecksum()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD